> ## Documentation Index
> Fetch the complete documentation index at: https://docs.videosupport.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Video Request Link

> Generates a unique video request link with an empty request body or external parameters

This endpoint generates a unique video request link. The reponse contains the link.

You can also add `external_parameters` to the body of the `POST` request (such as conversation ID, user ID, e-mail, etc.).
Those will be fetched and added to the webhook notification once a video has been recorded.


## OpenAPI

````yaml POST /api/v1/video_request_links
openapi: 3.0.1
info:
  title: OpenAPI Video Support API
  description: >-
    API for managing video request links and videos in the Video Support
    platform.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.videosupport.io
security:
  - accessToken: []
paths:
  /api/v1/video_request_links:
    post:
      summary: Create Video Request Link
      description: >-
        Generates a unique video request link with an empty request body or
        external parameters
      requestBody:
        description: Empty request body to create a video request link
        required: true
        content:
          application/json:
            schema:
              type: object
      responses:
        '200':
          description: Video request link successfully created
          content:
            application/json:
              example:
                video_request_link:
                  url: https://app.videosupport.io/r/abd-def-ghi
                  external_key: abc-def-ghi
                  external_parameters: {}
                  id: f98a1fae-6a4c-43c3-bf16-example12345
                api_version: v1
        '442':
          description: Validation errors
          content:
            application/json:
              example:
                errors:
                  - Error message 1
                  - Error message 2
components:
  securitySchemes:
    accessToken:
      type: apiKey
      in: header
      name: Access-Token

````